#include <fstream>

using namespace std;

#define MaxL 100

ifstream input("corner.in");
ofstream output("corner.out");

int M, N;
bool A[MaxL + 2][MaxL + 2];// [N][M]

int for_cell(int i, int j);
void read_field();

int main()
{
	int i, j;
	unsigned long answer = 0; 
	memset(A, 0, sizeof(MaxL));

	input >> N >> M;
	for (i = 0; i <= M + 1; i ++)
	{
		A[0][i] = true;
		A[M + 1][i] = true;
	}
	for (i = 0; i <= N + 1; i ++)
	{
		A[i][0] = true;
		A[N + 1][i] = true;
	}

	read_field();

	for (i = 1; i <= N; i++)
	{
		for(j = 1; j <= M; j++)
		{
            answer += for_cell(i, j);
		}
	}
	
	output << answer << '\n';

    input.close();
	output.close();
	return 0;
}

int for_cell(int i, int j)
{
	int answer = 0;
	if (!A[i - 1][j] && !A[i][j - 1])
		answer ++;
	if (!A[i - 1][j] && !A[i][j + 1])
		answer ++;
	if (!A[i + 1][j] && !A[i][j - 1])
		answer ++;
	if (!A[i + 1][j] && !A[i][j + 1])
		answer ++;

	return answer;
}
void read_field()
{
	int i, j;
	char ch;
	for (i = 1; i <= N; i ++)
	{
		for (j = 1; j <= M; j++)
		{
			input >> ch;
			if (ch == '.')
				A[i][j] = false;
			else
				A[i][j] = true;
		}
	}
}