#include <cassert>
#include <cmath>
#include <cstdio>
#include <cstdlib>
#include <cstring>

#define TASKNAME "corner"

const int MaxN = 100;

int a [MaxN] [MaxN];
int m, n;

int main (void)
{
 int i, j, k;
 char c;
 freopen (TASKNAME ".in", "r", stdin);
 freopen (TASKNAME ".out", "w", stdout);
 while (scanf (" %d %d", &m, &n) != EOF)
 {
  for (i = 0; i < m; i++)
   for (j = 0; j < n; j++)
   {
    scanf (" %c", &c);
    a[i][j] = (c != 'X');
   }
  k = 0;
  for (i = 0; i < m - 1; i++)
   for (j = 0; j < n - 1; j++)
   {
    if (a[i + 0][j + 0] && a[i + 0][j + 1] && a[i + 1][j + 0]) k++;
    if (a[i + 0][j + 0] && a[i + 0][j + 1] && a[i + 1][j + 1]) k++;
    if (a[i + 0][j + 0] && a[i + 1][j + 0] && a[i + 1][j + 1]) k++;
    if (a[i + 0][j + 1] && a[i + 0][j + 0] && a[i + 1][j + 1]) k++;
   }
  printf ("%d\n", k);
 }
 return 0;
}
